Index: TextMate.tmbundle/Commands/Open URL.tmCommand
===================================================================
--- TextMate.tmbundle/Commands/Open URL.tmCommand	(revision 0)
+++ TextMate.tmbundle/Commands/Open URL.tmCommand	(revision 0)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>beforeRunningCommand</key>
+	<string>nop</string>
+	<key>command</key>
+	<string>res=$(CocoaDialog inputbox --title "Open URL" \
+    --text "$TM_SELECTED_TEXT" \
+    --informative-text "URL:" \
+    --button1 "Okay" --button2 "Cancel")
+
+[[ $(head -n1 &lt;&lt;&lt;"$res") == "2" ]] &amp;&amp; exit_discard
+
+res=$(tail -n1 &lt;&lt;&lt;"$res")
+/usr/bin/env ruby -e "require 'net/http';require 'uri';Net::HTTP.get_print URI.parse('$res')"</string>
+	<key>fallbackInput</key>
+	<string>none</string>
+	<key>input</key>
+	<string>selection</string>
+	<key>keyEquivalent</key>
+	<string>@O</string>
+	<key>name</key>
+	<string>Open URL in TextMate</string>
+	<key>output</key>
+	<string>openAsNewDocument</string>
+	<key>uuid</key>
+	<string>2111A2E2-7474-4FA0-8025-DB44385E46B4</string>
+</dict>
+</plist>
Index: TextMate.tmbundle/info.plist
===================================================================
--- TextMate.tmbundle/info.plist	(revision 6538)
+++ TextMate.tmbundle/info.plist	(working copy)
@@ -29,6 +29,7 @@
 		<array>
 			<string>61F92184-1A50-4310-9F75-C9CD2C8819FA</string>
 			<string>4981F52A-F663-45FC-AE25-EE211E88BA05</string>
+			<string>2111A2E2-7474-4FA0-8025-DB44385E46B4</string>
 			<string>------------------------------------</string>
 			<string>6E779E48-F146-49BF-B60C-EFDFD1380772</string>
 			<string>950B3108-E2E3-414E-9C4C-EE068F59A895</string>
@@ -45,6 +46,7 @@
 			<string>BBB8AE46-0694-4453-B6C5-9B9633B891B2</string>
 			<string>------------------------------------</string>
 			<string>E5142394-B07A-11D9-8EC4-000D93589AF6</string>
+			<string>012C6C9B-07CC-40B8-A10B-B95B253A94A1</string>
 		</array>
 		<key>submenus</key>
 		<dict>
